summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2012-06-10 21:42:21 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 10:48:07 +0200
commit73848b54d5a6b3672d4a6f6a49e3d234bda65189 (patch)
tree542fc6f0ab4ccceb226db496555aeb964886508c /eclass
parentBump trickyfetch. Update checksums (diff)
downloadmv-73848b54d5a6b3672d4a6f6a49e3d234bda65189.tar.gz
mv-73848b54d5a6b3672d4a6f6a49e3d234bda65189.tar.bz2
mv-73848b54d5a6b3672d4a6f6a49e3d234bda65189.zip
Make repoman happy. Remove icecat support
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/monotone.eclass2
-rw-r--r--eclass/mv_mozextension.eclass31
3 files changed, 13 insertions, 25 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 807fc9b7..bb04c662 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header $
+# $Header: $
+
+ 10 Jun 2012; Martin Väth <martin@mvath.de>
+ Remove support for icecat. Fix headers to make repoman happy.
12 May 2012; Martin Väth <martin@mvath.de>
base->eutils
diff --git a/eclass/monotone.eclass b/eclass/monotone.eclass
index 497dd09b..0cf81501 100644
--- a/eclass/monotone.eclass
+++ b/eclass/monotone.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header $
+# $Header: $
# @ECLASS: monotone.eclass
# @MAINTAINER:
diff --git a/eclass/mv_mozextension.eclass b/eclass/mv_mozextension.eclass
index c418f520..37ce3b8e 100644
--- a/eclass/mv_mozextension.eclass
+++ b/eclass/mv_mozextension.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header $
+# $Header: $
# @ECLASS: mv_mozextension.eclass
# @MAINTAINER:
@@ -17,11 +17,11 @@
# @DESCRIPTION:
# If this variables is set to the empty value, no default install functions
# are defined. Otherwise, the value of this variable should be
-# "firefox icecat seamonkey" (default)
+# "firefox seamonkey" (default)
# or a subset of these.
# The eclass will then install the extension for all these mozillas,
# set corresponding dependencies and print corresponding messages.
-: ${MV_MOZ_MOZILLAS=firefox icecat seamonkey}
+: ${MV_MOZ_MOZILLAS=firefox seamonkey}
# @ECLASS-VARIABLE: MV_MOZ_EXTDIR
# @DESCRIPTION:
@@ -37,35 +37,21 @@
inherit eutils multilib
-case ${MV_MOZ_MOZILLAS:-icecat} in
-icecat)
-# We have certainly at most one browser
- MV_MOZ_EXTDIR='*'
- RDEPEND=''
- RDEPEND_END='';;
-*)
- RDEPEND='|| ('
- RDEPEND_END='
-)';;
-esac
+RDEPEND='|| ('
case ${MV_MOZ_MOZILLAS} in
*fire*)
RDEPEND="${RDEPEND}
>=www-client/firefox-3.6
- >=www-client/firefox-bin-3.6";;
+ >=www-client/firefox-bin-3.6"
esac
case ${MV_MOZ_MOZILLAS} in
*sea*)
RDEPEND="${RDEPEND}
>=www-client/seamonkey-2
- >=www-client/seamonkey-bin-2";;
-esac
-case ${MV_MOZ_MOZILLAS} in
-*ice*)
- RDEPEND="${RDEPEND}
- >=www-client/icecat-3.6";;
+ >=www-client/seamonkey-bin-2"
esac
-RDEPEND=${RDEPEND}${RDEPEND_END}
+RDEPEND=${RDEPEND}'
+)'
DEPEND='app-arch/unzip'
[ -n "${RDEPEND}" ] && DEPEND="${DEPEND}
@@ -116,7 +102,6 @@ mv_mozextension_src_install() {
e="${EPREFIX%/}/opt/"
mv_mozextension_calc '*fire*' 'www-client/firefox' "${b}firefox"
mv_mozextension_calc '*fire*' 'www-client/firefox-bin' "${e}firefox"
- mv_mozextension_calc '*ice*' 'www-client/icecat' "${b}icecat"
mv_mozextension_calc '*sea*' 'www-client/seamonkey' "${b}seamonkey"
mv_mozextension_calc '*sea*' 'www-client/seamonkey-bin' "${e}seamonkey"
[ ${#MV_MOZ_DIR[@]} -ne 0 ] || die 'no supported mozilla is installed'